(defun c:lf (/ p1 p2 di ang ins txt)
(setq p1 (getpoint "\nSpecify first point: "))
(setq p2 (getpoint p1 "\nSpecify second point: "))
(setq di (distance p1 p2))
(setq ang (angle p1 p2))
(setq ins (getpoint "\nSpecify text location: "))
(setq txt (strcat (rtos di 4 2) "' " (angtos ang)))
;or (setq txt (strcat (rtos di 4 2) (angtos ang)))
(entmake
(list
'(0 . "text")
(cons 1 TXT)
(cons 10 ins)
(cons 11 ins)
(cons 40 2.5)
(cons 50 ang)
(cons 72 1);replace 1 with 0 for text justification left
)
)
(princ)
)
请帮忙 使用getdist或getreal
享受它
塔瓦特 谢谢,非常有用。我很高兴这是一个简单的解决方案
我为你感到高兴,你得到了工作。
顺致敬意,
塔瓦特
Enjoy it
Tharwat thanks, very helpfull.I'm happy it was a simple solution
I am happy for you that you got worked .
Best regards,
Tharwat
页:
1
[2]